#! /usr/bin/env bash
# Args: <source-file> <target-file> <branch> <source-url> <source-sha256> <source-staging-url> <source-staging-sha256>

CONFIG_DIR="`dirname \"$0\"`" &&
cp -f "$CONFIG_DIR/$1" "$2" &&
WINE_BRANCH="`echo \"$3\" | sed -e 's:/:\\\\/:g'`" &&
WINE_SOURCE="`echo \"$4\" | sed -e 's:/:\\\\/:g'`" &&
WINE_SOURCE_SHA256="`echo \"$5\" | sed -e 's:/:\\\\/:g'`" &&
WINE_SOURCE_STAGING="`echo \"$6\" | sed -e 's:/:\\\\/:g'`" &&
WINE_SOURCE_STAGING_SHA256="`echo \"$7\" | sed -e 's:/:\\\\/:g'`" &&
sed -i -e "s/{{WINE_BRANCH}}/$WINE_BRANCH/g" "$2" &&
sed -i -e "s/{{WINE_SOURCE}}/$WINE_SOURCE/g" "$2" &&
sed -i -e "s/{{WINE_SOURCE_SHA256}}/$WINE_SOURCE_SHA256/g" "$2" &&
sed -i -e "s/{{WINE_SOURCE_STAGING}}/$WINE_SOURCE_STAGING/g" "$2" &&
sed -i -e "s/{{WINE_SOURCE_STAGING_SHA256}}/$WINE_SOURCE_STAGING_SHA256/g" "$2"
