#! /usr/bin/env bash

CONFIG_DIR="`dirname \"$0\"`" &&
source "$CONFIG_DIR/sources.sh" &&
for i in `printenv | sed 's/=.*//' | sort | grep 'WINE_.*_NAME'`
do
	i="WINE_${i:5:-5}_NAME"
	echo "i386" "${!i}"
	echo "x86_64" "${!i}"
	iid="WINE_$(echo "${!i}" | sed -e 's/\./_/g' | sed -e 's/-/_/g')_STAGING"
	if [[ ! -z "${!iid}" ]]
	then
		echo "i386" "${!i}-staging"
		echo "x86_64" "${!i}-staging"
	fi
done
